curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/share \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/share"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "6f1c2a8e-4d1b-4f6e-9a57-2f0f3c1d9b10",
"is_published": true,
"public_link_id": "feedback",
"public_link": "https://spinkart.neetoform.com/feedback",
"custom_domain_links": [
"https://forms.spinkart.com/feedback"
],
"embed_codes": {
"inline": "<string>",
"floating_popup": "<string>",
"element_popup": "<string>",
"iframe": "<string>"
}
}{
"error": "Form does not exist."
}Get share details
Get the public link of a form, the same link on each custom domain, and the embed codes for inline, floating popup, element popup and iframe embeds.
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/share \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/share"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "6f1c2a8e-4d1b-4f6e-9a57-2f0f3c1d9b10",
"is_published": true,
"public_link_id": "feedback",
"public_link": "https://spinkart.neetoform.com/feedback",
"custom_domain_links": [
"https://forms.spinkart.com/feedback"
],
"embed_codes": {
"inline": "<string>",
"floating_popup": "<string>",
"element_popup": "<string>",
"iframe": "<string>"
}
}{
"error": "Form does not exist."
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form. Refer to Getting the Form ID for detailed instructions.
Response
OK - Request succeeded
Unique ID of the form.
"6f1c2a8e-4d1b-4f6e-9a57-2f0f3c1d9b10"
Whether the form is published. Links and embeds only work on a published form.
true
The last part of the public link of the form.
"feedback"
Public link of the form.
"https://spinkart.neetoform.com/feedback"
The same public link on each custom domain of the workspace.
["https://forms.spinkart.com/feedback"]
HTML snippets to embed the form in a website. Each snippet uses the default settings.